# $Revision: 1.3 $, $Date: 2004/12/03 14:28:48 $
Summary:	Implementation of Conway's Life, a cellular automation
Summary(pl):	Implementacja gry Conwaya Life - automat komrkowy
Name:		gtklife
Version:	4.1
Release:	2
Group:		X11/Applications/Games
License:	GPL
Source0:	http://www.igs.net/~tril/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	e5fc1290429aa58ff9ba1a6da502f142
Source1:	%{name}.desktop
URL:		http://www.igs.net/~tril/gtklife/
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkLife is an implementation of Conway's Life, a cellular automaton
(grid-based artificial life) developed by the mathematician John
Conway. It features a highly optimized algorithm for computing
generations, a giant universe (1 million x 1 million cells), and a
modern, user-friendly interface. Example patterns are available from
an optional sidebar on the main window. The user can also draw their
own patterns, and load and save files in a number of popular Life
formats.

%description
GtkLife jest implementacj grupy Conwaya - Life, automatu
komrkowego (opartego na komrkach sztucznego ycia), tworzonego przez
matematyka Johna Conwaya. Charakteryzuje si wysoko zoptymalizowanym
algorytmem oblicze generacji, wielkim universum (1 milion x 1 milion
komrek), oraz nowoczesnym, przyjaznym dla uytkownikw interfejsem.
Przykadowe wzory dostpne s z opcjonalnego paska w gwnym oknie.
Uytkownik moe take rysowa wasne wzory oraz wczytywa i zachowywa
pliki w rnych popularnych formatach Life.

%prep
%setup -q

%build
%{__make} \
	CFLAGS="%{rpmcflags}" \
	PREFIX=%{_prefix} \
	BINDIR=%{_bindir} \
	DOCDIR=%{_docdir}/%{name}-%{version} \
	DATADIR=%{_datadir}/%{name}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	DOCDIR=$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} \
	DATADIR=$RPM_BUILD_ROOT%{_datadir}/%{name}

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS ChangeLog doc/*
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtklife.spec,v $
Revision 1.3  2004/12/03 14:28:48  paladine
- rel 2 for fixed desktop file STBR

Revision 1.2  2004/10/30 00:43:57  qboosh
- formatting

Revision 1.1  2004/10/28 11:31:14  undefine
- initital pld version
